Subject: Re: [PATCH] phy: smsc: Implement .aneg_done callback for LAN8720Ai

From: Lukasz Majewski <[email-masked]>
Date: Wed, 12 Apr 2023 16:12:00 +0200

Hi Andrew,

> > > This actually seems like a fix. So it should probably be based on
> > > net, and have a Fixes: tag.  
> > 
> > I've rebased it on the newest vanila kernel.  
> 
> Please see the netdev FAQ. It talks about the two git trees used for
> networking.

Thanks for the information.

> 
> > It turned out that this IC has a dedicated bit (in vendor specific
> > register) to show explicitly if auto neg is done.
> >   
> > > 
> > > Lukasz, how does this bit differ to the one in BMSR?   
> > 
> > In the BMSR - bit 5 (Auto Negotiate Complete) - shows the same kind
> > of information.
> > 
> > The only difference is that this bit is described as "Auto
> > Negotiate Complete" and the bit in this patch indicates "Auto
> > Negotiation Done".
> >   
> > > Is the BMSR bit
> > > broken?   
> > 
> > This bit works as expected.  
> 
> I would avoid the vendor bit, if it has no benefit. A lot of
> developers understand the BMSR bit, where as very few know this vendor
> bit. BMSR can probably be handled with generic code, where as the
> vendor bit requires vendor specific code etc.

Ok. Then, this patch shall be dropped. Thanks for the clarification :)

>     Andrew

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Erika Unter
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email: [email-masked]